%define name gtksee
%define version 0.2.2
%define release 1
%define serial 1

Summary: A Image viewer based on X-Window system and GTK+.
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL2
Group: X11/Applications/Graphics
URL: http://www.zg169.net/~hotaru/gtksee/index_en.html
Vendor: Hotaru Lee <jkhotaru@mail.sti.com.cn>
Source: %{name}-%{version}.tar.gz
Distribution: Freshmeat RPMs
Packager: Ryan Weaver <ryanw@infohwy.com>
BuildRoot: /tmp/%{name}-%{version}

%description
A Image viewer based on X-Window system and GTK+.
The main purpose is to port ACD See, which is a very popular
image viewer in M$ world, to Unix platform. 

%package static
Summary: A Image viewer based on X-Window system and GTK+.
Group: X11/Applications/Graphics

%description static
A Image viewer based on X-Window system and GTK+.
The main purpose is to port ACD See, which is a very popular
image viewer in M$ world, to Unix platform. 

*** STATICALLY COMPILED ***

%prep

%setup -q

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr

make CC="gcc -static"
mv src/gtksee src/gtksee-static
make CC=gcc

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT ; fi
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/{pixmaps,apps/Graphics}}

make prefix=$RPM_BUILD_ROOT/usr install-strip

install -s -m 755 src/gtksee-static $RPM_BUILD_ROOT/usr/bin

install -m 644 icons/gtksee.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/gtksee <<EOF
gtksee name "GtkSee"
gtksee description "GtkSee"
gtksee group "Graphics"
gtksee exec "gtksee"
EOF

cat > $RPM_BUILD_ROOT/usr/share/apps/Graphics/gtksee.desktop <<EOF
[Desktop Entry]
Name=GtkSee
Comment=Image Viewer
Exec=gtksee
Icon=gtksee.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post static
if [ ! -e /usr/bin/gtksee ]; then
	cd /usr/bin;
	ln -s gtksee-static gtksee;
fi

%preun static
if [ -L /usr/bin/gtksee ]; then
	rm /usr/bin/gtksee;
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO icons
/usr/bin/gtksee
/etc/X11/wmconfig/gtksee
/usr/share/pixmaps/gtksee.xpm
/usr/share/apps/Graphics/gtksee.desktop

%files static
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO icons
/usr/bin/gtksee-static
/etc/X11/wmconfig/gtksee
/usr/share/pixmaps/gtksee.xpm
/usr/share/apps/Graphics/gtksee.desktop

%changelog
* Mon Feb 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtksee-0.2.2-1]
- 0.2.2  (1999/02/20)
- Image Viewer:
  o New short-cut keys: Spacebar, Arrow-keys
- Other:
  o Compiled successfully under gtk+-1.1.15
  o New command-line options and parameters:
    gtksee [-R[directory]] [-fis] [files...]
  o Some new icons. See icons/README.icons
  o Bzip2 patch applied.
    (From: Roman Belenov <roman@nstl.nnov.ru>)
- Bug-fixed:
  o Checks for os2.h and -lsocket
    (Asbjoern Pettersen <ape@spacetec.no>'s hints)

* Thu Dec  7 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksee-0.2.1-3]
- Added patch to allow it to compile under gtk+-1.1.5
  and glib-1.1.5

* Thu Dec  7 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksee-0.2.1-2]
- Added the bzip2 support patch from gtksee homepage.

* Thu Dec  3 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksee-0.2.1-1]
- 0.2.1  (1998/12/03)
- Image Browser:
	o Thumbnails cache
	o Tooltips for thumbnails mode and small icons mode
	o New feature: Quick-refresh, Auto-refresh
	o About dialog's look and feel; Help menus
- Image Viewer:
	o Full-screen mode, and a popup-menu for it
	o Double-click on the image to return to browse mode
- Other:
	o configure: new option: --with-im-incs, --with-im-libs
- Fixed bugs:
	o Auto-update preview box when size changed
	o Seg-faults on some bmp and gif files (Thanks BaZe for giving
	  me such a funny bmp :) )
	o Screen shrinking problem (preview box and thumbnails list)
	o Pyun YongHyeon's patch(im_xcf.c): compiled under FreeBSD 3.0
	o Maybe more :)

* Tue Nov 24 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksee-0.2.0-2]
- Split into 2 packages. 1 statically linked and one dynamically
  linked.
- Including the gtksee.xpm resized to 48x48
- Added a wmconfig file and a gtksee.desktop file
- In static package, %post install to link gtksee-static to gtksee
  and %preun to rm the link if it's there.

* Tue Nov 24 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksee-0.2.0-1]
- 0.2.0  (1998/11/22)
- Image Browser:
	o Show/Hide non-images
	o Fast preview option. If you haven't upgraded your CPU to
	  PII, you will probably love this. :)
	o Thumbnails list. Cool feature.
	o Small icon list. M$-explorer-like.
- Image Viewer:
	o Support Drag-N-Drop (instead of scrolled window)
	o Support short-cut keys (Home, End, PgUp, PgDn, Esc)
	o Slideshow
- Other:
	o Support bitmap(1BPS) format PSD image
	o configure: detect libtiff34
	o Auto-detect supported image formats, without depending on
	  filename extensions.
	o xpm files have been move to src/pixmap
- And always some bug-fixed.
